<?php
namespace SabaiApps\Directories\Component\Display\Icon;

use SabaiApps\Directories\Component\Display\Model\Display;
use SabaiApps\Directories\Component\Entity\Model\Bundle;
use SabaiApps\Directories\Component\Entity\Type\IEntity;

interface IIcon {

	public function displayIconInfo( Bundle $bundle, $key = null );
	public function displayIconSupports( Bundle $bundle, Display $display );
	public function displayIconSettingsForm( Bundle $bundle, array $settings, Display $display, array $parents = array() );
	public function displayIconOutput( Bundle $bundle, IEntity $entity, array $settings );
}
